Subject: Re: [RFC] gitweb wishlist and TODO list

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jun 2006 02:14:33 -0700

Jakub Narebski <[email-masked]> writes:

> Jakub Narebski wrote:
>
>> I am planning on copying features from xmms2's gitweb version 
>> to git's gitweb, and introducing new ones.
>
>> * Refactor generation of navigation bar. There are at least two
>>   implementations of that. With hash dispatch it would be easy to
>>   list all possibilities.
>
> Actually I think that whole gitweb.cgi needs refactoring, badly. Generation
> of navigation bar is only one, admittedly worst, example of code
> duplication.

Yes.  I liked what xmms2 folks did to the navbar exactly for
that reason.  We would be better off to first clean up what we
currently have before starting to build too much on it.